Summary: Yet Another Python SNMP Module
Name: yapsnmp
Version: 0.7.8
Release: 1
License: LGPL
Group: Development/Libraries
Packager: Yves Perrenoud <yves@xpand.org>
URL: http://yapsnmp.sourceforge.net/
Source: http://prdownloads.sourceforge.net/yapsnmp/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: net-snmp >= 5, openssl, zlib, python
BuildRequires: swig = 1.1p5, patch, net-snmp-devel, python-devel

%description
The yapsnmp package contains an SNMP module for the Python programming
language, built on top of the NET-SNMP toolkit. The main module tries
to be as high level as possible, removing the complexity out of using
SNMP from Python. There is also a low level module exposing most of
the toolkit's functionality, in case you need something not available
via the high level interface.

%prep
%setup -q

%build
%configure --enable-site-packages-prefix

%install
[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
strip %{buildroot}/%{_libdir}/*/*/*.so

%clean
[ $RPM_BUILD_ROOT != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING README doc
%{_libdir}/*/*/*

%changelog
* Sun Mar 7 2004 Yves Perrenoud <yves@xpand.org> 0.7.8-1
- Initial build.
